Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/releases/1.4.2/configure

    r2979 r2985  
    10891089                          (implies --disable-shared)
    10901090  --enable-debug-hsl compile project HSL with debug compiler flags
    1091 
    1092   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1091  --enable-doscompile     Under Cygwin, compile so that executables run under
     1092                          DOS. Set to mingw to use gcc/g++/ld with
     1093                          -mno-cygwin. Set to msvc to use cl/link (or
     1094                          icl/link). Default when mentioned: mingw. Default
     1095                          when not mentioned: disabled.
    10931096  --disable-pkg-config    disable use of pkg-config (if available)
    10941097  --enable-static[=PKGS]
     
    18991902
    19001903# Get the name of the C compiler (for a dummy program)
    1901 
    1902 
    1903   # for backward compatibility
    1904   # Check whether --enable-doscompile or --disable-doscompile was given.
    1905 if test "${enable_doscompile+set}" = set; then
    1906   enableval="$enable_doscompile"
    1907   enable_doscompile=$enableval
    1908 else
    1909   enable_doscompile=no
    1910 fi;
    1911 
    1912   # Check whether --enable-msvc or --disable-msvc was given.
    1913 if test "${enable_msvc+set}" = set; then
    1914   enableval="$enable_msvc"
    1915   enable_msvc=$enableval
    1916 else
    1917   enable_msvc=no
    1918      if test "$enable_doscompile" = msvc ; then
    1919        enable_msvc=yes
    1920      elif test "$enable_doscompile" != no ; then
    1921        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1922 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1923    { (exit 1); exit 1; }; }
    1924      fi
    1925 
    1926 fi;
    1927 
    1928   if test "$enable_msvc" = yes; then
    1929     case $build in
    1930       *-cygwin* | *-mingw*) ;;
    1931       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1932 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1933    { (exit 1); exit 1; }; } ;;
    1934     esac
    1935   fi
    1936 
    1937 
    1938  case $build in
     1904case $build in
    19391905  *-mingw*)
    19401906    if test "${LD+set}" = set; then :; else
     
    19431909    ;;
    19441910 esac
    1945  if test $enable_msvc = yes ; then
    1946    if test "x${LD+set}" = xset; then :; else
    1947      LD=link
     1911 case $enable_doscompile in
     1912   msvc)
     1913     if test "x${LD+set}" = xset; then :; else
     1914       LD=link
     1915     fi
     1916     ;;
     1917 esac
     1918
     1919
     1920 # Check whether --enable-doscompile or --disable-doscompile was given.
     1921if test "${enable_doscompile+set}" = set; then
     1922  enableval="$enable_doscompile"
     1923  if test "$enable_doscompile" != no; then
     1924     case $build in
     1925       *-cygwin* | *-mingw*) ;;
     1926       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1927echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1928   { (exit 1); exit 1; }; } ;;
     1929     esac
    19481930   fi
    1949  fi
     1931else
     1932  enable_doscompile=no
     1933fi;
     1934 case "$enable_doscompile" in
     1935   mingw)
     1936     case $build in
     1937       *-mingw*) enable_doscompile=no ;;
     1938     esac
     1939     ;;
     1940   msvc|no) ;;
     1941   yes) enable_doscompile=mingw ;;
     1942   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1943                    Try configure --help=recursive." >&5
     1944echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1945                    Try configure --help=recursive." >&2;}
     1946   { (exit 1); exit 1; }; }
     1947      ;;
     1948  esac
     1949  if test "$enable_doscompile" != no ; then
     1950    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1951echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1952  fi
    19501953
    19511954
     
    19901993case $build in
    19911994  *-cygwin* | *-mingw*)
    1992              if test "$enable_msvc" = yes ; then
    1993                comps="icl cl gcc"
     1995             if test "$enable_doscompile" = msvc ; then
     1996               comps="icl cl"
    19941997             else
    1995                comps="gcc icl cl"
     1998               comps="gcc cl"
    19961999             fi ;;
    19972000  *-*-solaris*)
     
    28462849            ;;
    28472850        esac
     2851        case $enable_doscompile in
     2852          mingw)
     2853            CFLAGS="-mno-cygwin"
     2854            cat >conftest.$ac_ext <<_ACEOF
     2855/* confdefs.h.  */
     2856_ACEOF
     2857cat confdefs.h >>conftest.$ac_ext
     2858cat >>conftest.$ac_ext <<_ACEOF
     2859/* end confdefs.h.  */
     2860
     2861int
     2862main ()
     2863{
     2864int i=0; i++;
     2865  ;
     2866  return 0;
     2867}
     2868_ACEOF
     2869rm -f conftest.$ac_objext conftest$ac_exeext
     2870if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2871  (eval $ac_link) 2>conftest.er1
     2872  ac_status=$?
     2873  grep -v '^ *+' conftest.er1 >conftest.err
     2874  rm -f conftest.er1
     2875  cat conftest.err >&5
     2876  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2877  (exit $ac_status); } &&
     2878         { ac_try='test -z "$ac_c_werror_flag"
     2879                         || test ! -s conftest.err'
     2880  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2881  (eval $ac_try) 2>&5
     2882  ac_status=$?
     2883  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2884  (exit $ac_status); }; } &&
     2885         { ac_try='test -s conftest$ac_exeext'
     2886  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2887  (eval $ac_try) 2>&5
     2888  ac_status=$?
     2889  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2890  (exit $ac_status); }; }; then
     2891  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2892else
     2893  echo "$as_me: failed program was:" >&5
     2894sed 's/^/| /' conftest.$ac_ext >&5
     2895
     2896fi
     2897rm -f conftest.err conftest.$ac_objext \
     2898      conftest$ac_exeext conftest.$ac_ext
     2899            CFLAGS=
     2900          ;;
     2901        esac
    28482902    esac
    28492903  fi
     
    31863240  clang* ) ;;
    31873241  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3188 
    3189  case $build in
     3242    case $build in
    31903243  *-mingw*)
    31913244    if test "${LD+set}" = set; then :; else
     
    31943247    ;;
    31953248 esac
    3196  if test $enable_msvc = yes ; then
    3197    if test "x${LD+set}" = xset; then :; else
    3198      LD=link
    3199    fi
    3200  fi
     3249 case $enable_doscompile in
     3250   msvc)
     3251     if test "x${LD+set}" = xset; then :; else
     3252       LD=link
     3253     fi
     3254     ;;
     3255 esac
    32013256
    32023257    ;;
     
    32143269case $build in
    32153270  *-cygwin* | *-mingw*)
    3216      if test "$enable_msvc" = yes ; then
    3217        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3271     if test "$enable_doscompile" = msvc ; then
     3272       coin_f77_comps="ifort fl32 compile_f2c"
    32183273     else
    32193274       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34403495
    34413496# Provide some information about the compiler.
    3442 echo "$as_me:3442:" \
     3497echo "$as_me:3497:" \
    34433498     "checking for Fortran 77 compiler version" >&5
    34443499ac_compiler=`set X $ac_compile; echo $2`
     
    36093664    coin_add_fflags="-pipe"
    36103665    coin_dbg_fflags="-g -O0"
     3666    case $enable_doscompile in
     3667      mingw)
     3668        FFLAGS="-mno-cygwin"
     3669        cat >conftest.$ac_ext <<_ACEOF
     3670      program main
     3671      write(*,*) 'Hello world'
     3672      end
     3673_ACEOF
     3674rm -f conftest.$ac_objext conftest$ac_exeext
     3675if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3676  (eval $ac_link) 2>conftest.er1
     3677  ac_status=$?
     3678  grep -v '^ *+' conftest.er1 >conftest.err
     3679  rm -f conftest.er1
     3680  cat conftest.err >&5
     3681  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3682  (exit $ac_status); } &&
     3683         { ac_try='test -z "$ac_f77_werror_flag"
     3684                         || test ! -s conftest.err'
     3685  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3686  (eval $ac_try) 2>&5
     3687  ac_status=$?
     3688  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3689  (exit $ac_status); }; } &&
     3690         { ac_try='test -s conftest$ac_exeext'
     3691  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3692  (eval $ac_try) 2>&5
     3693  ac_status=$?
     3694  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3695  (exit $ac_status); }; }; then
     3696  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3697else
     3698  echo "$as_me: failed program was:" >&5
     3699sed 's/^/| /' conftest.$ac_ext >&5
     3700
     3701fi
     3702rm -f conftest.err conftest.$ac_objext \
     3703      conftest$ac_exeext conftest.$ac_ext
     3704        FFLAGS=
     3705      ;;
     3706    esac
    36113707  else
    36123708    case $build in
     
    39003996case "$F77" in
    39013997  ifort* | */ifort* | IFORT* | */IFORT*)
    3902 
    3903  case $build in
     3998    case $build in
    39043999  *-mingw*)
    39054000    if test "${LD+set}" = set; then :; else
     
    39084003    ;;
    39094004 esac
    3910  if test $enable_msvc = yes ; then
    3911    if test "x${LD+set}" = xset; then :; else
    3912      LD=link
    3913    fi
    3914  fi
     4005 case $enable_doscompile in
     4006   msvc)
     4007     if test "x${LD+set}" = xset; then :; else
     4008       LD=link
     4009     fi
     4010     ;;
     4011 esac
    39154012
    39164013    ;;
     
    41774274ac_save_FFLAGS=$FFLAGS
    41784275FFLAGS="$FFLAGS $ac_verb"
    4179 (eval echo $as_me:4179: \"$ac_link\") >&5
     4276(eval echo $as_me:4276: \"$ac_link\") >&5
    41804277ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41814278echo "$ac_f77_v_output" >&5
     
    42554352ac_save_FFLAGS=$FFLAGS
    42564353FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4257 (eval echo $as_me:4257: \"$ac_link\") >&5
     4354(eval echo $as_me:4354: \"$ac_link\") >&5
    42584355ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42594356echo "$ac_f77_v_output" >&5
     
    51335230
    51345231# Provide some information about the compiler.
    5135 echo "$as_me:5135:" \
     5232echo "$as_me:5232:" \
    51365233     "checking for Fortran compiler version" >&5
    51375234ac_compiler=`set X $ac_compile; echo $2`
     
    69217018*-*-irix6*)
    69227019  # Find out which ABI we are using.
    6923   echo '#line 6923 "configure"' > conftest.$ac_ext
     7020  echo '#line 7020 "configure"' > conftest.$ac_ext
    69247021  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69257022  (eval $ac_compile) 2>&5
     
    93989495   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93999496   -e 's:$: $lt_compiler_flag:'`
    9400    (eval echo "\"\$as_me:9400: $lt_compile\"" >&5)
     9497   (eval echo "\"\$as_me:9497: $lt_compile\"" >&5)
    94019498   (eval "$lt_compile" 2>conftest.err)
    94029499   ac_status=$?
    94039500   cat conftest.err >&5
    9404    echo "$as_me:9404: \$? = $ac_status" >&5
     9501   echo "$as_me:9501: \$? = $ac_status" >&5
    94059502   if (exit $ac_status) && test -s "$ac_outfile"; then
    94069503     # The compiler can only warn and ignore the option if not recognized
     
    96669763   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96679764   -e 's:$: $lt_compiler_flag:'`
    9668    (eval echo "\"\$as_me:9668: $lt_compile\"" >&5)
     9765   (eval echo "\"\$as_me:9765: $lt_compile\"" >&5)
    96699766   (eval "$lt_compile" 2>conftest.err)
    96709767   ac_status=$?
    96719768   cat conftest.err >&5
    9672    echo "$as_me:9672: \$? = $ac_status" >&5
     9769   echo "$as_me:9769: \$? = $ac_status" >&5
    96739770   if (exit $ac_status) && test -s "$ac_outfile"; then
    96749771     # The compiler can only warn and ignore the option if not recognized
     
    97709867   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97719868   -e 's:$: $lt_compiler_flag:'`
    9772    (eval echo "\"\$as_me:9772: $lt_compile\"" >&5)
     9869   (eval echo "\"\$as_me:9869: $lt_compile\"" >&5)
    97739870   (eval "$lt_compile" 2>out/conftest.err)
    97749871   ac_status=$?
    97759872   cat out/conftest.err >&5
    9776    echo "$as_me:9776: \$? = $ac_status" >&5
     9873   echo "$as_me:9873: \$? = $ac_status" >&5
    97779874   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    97789875   then
     
    1218712284  lt_status=$lt_dlunknown
    1218812285  cat > conftest.$ac_ext <<EOF
    12189 #line 12189 "configure"
     12286#line 12286 "configure"
    1219012287#include "confdefs.h"
    1219112288
     
    1228712384  lt_status=$lt_dlunknown
    1228812385  cat > conftest.$ac_ext <<EOF
    12289 #line 12289 "configure"
     12386#line 12386 "configure"
    1229012387#include "confdefs.h"
    1229112388
     
    1464714744   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1464814745   -e 's:$: $lt_compiler_flag:'`
    14649    (eval echo "\"\$as_me:14649: $lt_compile\"" >&5)
     14746   (eval echo "\"\$as_me:14746: $lt_compile\"" >&5)
    1465014747   (eval "$lt_compile" 2>conftest.err)
    1465114748   ac_status=$?
    1465214749   cat conftest.err >&5
    14653    echo "$as_me:14653: \$? = $ac_status" >&5
     14750   echo "$as_me:14750: \$? = $ac_status" >&5
    1465414751   if (exit $ac_status) && test -s "$ac_outfile"; then
    1465514752     # The compiler can only warn and ignore the option if not recognized
     
    1475114848   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1475214849   -e 's:$: $lt_compiler_flag:'`
    14753    (eval echo "\"\$as_me:14753: $lt_compile\"" >&5)
     14850   (eval echo "\"\$as_me:14850: $lt_compile\"" >&5)
    1475414851   (eval "$lt_compile" 2>out/conftest.err)
    1475514852   ac_status=$?
    1475614853   cat out/conftest.err >&5
    14757    echo "$as_me:14757: \$? = $ac_status" >&5
     14854   echo "$as_me:14854: \$? = $ac_status" >&5
    1475814855   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1475914856   then
     
    1632116418   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1632216419   -e 's:$: $lt_compiler_flag:'`
    16323    (eval echo "\"\$as_me:16323: $lt_compile\"" >&5)
     16420   (eval echo "\"\$as_me:16420: $lt_compile\"" >&5)
    1632416421   (eval "$lt_compile" 2>conftest.err)
    1632516422   ac_status=$?
    1632616423   cat conftest.err >&5
    16327    echo "$as_me:16327: \$? = $ac_status" >&5
     16424   echo "$as_me:16424: \$? = $ac_status" >&5
    1632816425   if (exit $ac_status) && test -s "$ac_outfile"; then
    1632916426     # The compiler can only warn and ignore the option if not recognized
     
    1642516522   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1642616523   -e 's:$: $lt_compiler_flag:'`
    16427    (eval echo "\"\$as_me:16427: $lt_compile\"" >&5)
     16524   (eval echo "\"\$as_me:16524: $lt_compile\"" >&5)
    1642816525   (eval "$lt_compile" 2>out/conftest.err)
    1642916526   ac_status=$?
    1643016527   cat out/conftest.err >&5
    16431    echo "$as_me:16431: \$? = $ac_status" >&5
     16528   echo "$as_me:16528: \$? = $ac_status" >&5
    1643216529   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1643316530   then
     
    1863218729   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1863318730   -e 's:$: $lt_compiler_flag:'`
    18634    (eval echo "\"\$as_me:18634: $lt_compile\"" >&5)
     18731   (eval echo "\"\$as_me:18731: $lt_compile\"" >&5)
    1863518732   (eval "$lt_compile" 2>conftest.err)
    1863618733   ac_status=$?
    1863718734   cat conftest.err >&5
    18638    echo "$as_me:18638: \$? = $ac_status" >&5
     18735   echo "$as_me:18735: \$? = $ac_status" >&5
    1863918736   if (exit $ac_status) && test -s "$ac_outfile"; then
    1864018737     # The compiler can only warn and ignore the option if not recognized
     
    1890018997   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1890118998   -e 's:$: $lt_compiler_flag:'`
    18902    (eval echo "\"\$as_me:18902: $lt_compile\"" >&5)
     18999   (eval echo "\"\$as_me:18999: $lt_compile\"" >&5)
    1890319000   (eval "$lt_compile" 2>conftest.err)
    1890419001   ac_status=$?
    1890519002   cat conftest.err >&5
    18906    echo "$as_me:18906: \$? = $ac_status" >&5
     19003   echo "$as_me:19003: \$? = $ac_status" >&5
    1890719004   if (exit $ac_status) && test -s "$ac_outfile"; then
    1890819005     # The compiler can only warn and ignore the option if not recognized
     
    1900419101   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1900519102   -e 's:$: $lt_compiler_flag:'`
    19006    (eval echo "\"\$as_me:19006: $lt_compile\"" >&5)
     19103   (eval echo "\"\$as_me:19103: $lt_compile\"" >&5)
    1900719104   (eval "$lt_compile" 2>out/conftest.err)
    1900819105   ac_status=$?
    1900919106   cat out/conftest.err >&5
    19010    echo "$as_me:19010: \$? = $ac_status" >&5
     19107   echo "$as_me:19107: \$? = $ac_status" >&5
    1901119108   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1901219109   then
     
    2270722804# Try to autodetect the library for blas based on build system
    2270822805  #AC_MSG_CHECKING([default locations for BLAS])
     22806  skip_lblas_check=no
    2270922807  case $build in
    2271022808    *-sgi-*)
     
    2350923607
    2351023608    *-cygwin* | *-mingw*)
     23609# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     23610# library will want to link with cygwin, hence won't run standalone in DOS.
     23611      if test "$enable_doscompile" = mingw; then
     23612        skip_lblas_check=yes
     23613      fi
    2351123614      case "$CC" in
    2351223615        clang* ) ;;
     
    2467224775  esac
    2467324776
    24674   if test -z "$use_blas" ; then
     24777  if test -z "$use_blas" && test $skip_lblas_check = no; then
    2467524778    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2467624779echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2635826461echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2635926462coin_link_input_cmd="$LN_S"
     26463if test "$enable_doscompile" = mingw; then
     26464  coin_link_input_cmd=cp
     26465fi
    2636026466case "$CC" in
    2636126467  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.